package jp.co.atmarkit.aws.s3.action {
import flash.events.MouseEvent;

import jp.co.atmarkit.aws.s3.core.Action;
import jp.co.atmarkit.aws.s3.core.CloseWithDataEvent;
import jp.co.atmarkit.aws.s3.helper.KeyRegisterHelper;
import jp.co.atmarkit.aws.s3.view.KeyRegisterView;

import mx.events.CloseEvent;
import mx.events.FlexEvent;
import mx.logging.ILogger;
import mx.logging.Log;


/**
 * KeyRegisterActionクラス。イベントのハンドリングを行います。
 */
public class KeyRegisterAction extends Action {

//--------------------------------------
//  Component
//--------------------------------------
    
    /** Helperコンポーネントです。 */
    public var helper:KeyRegisterHelper;
    
	/** ログコンポーネントです。 */
    private var logger:ILogger = Log.getLogger("KeyRegisterAction"); 
    
//--------------------------------------
//  Constructor
//--------------------------------------

	/**
	 * KeyRegisterAction オブジェクトを作成します。
	 */
    public function KeyRegisterAction() {
        super();
    }

//--------------------------------------
//  Init
//--------------------------------------

    /**
     * 初期化処理
     * 
     * @param event FlexEvent
     */
    protected override function onCreationCompleteHandler(event:FlexEvent):void {
	    logger.debug(">>onCreationCompleteHandler");
        
        super.onCreationCompleteHandler(event);
        
        initComponents();
        
        helper.initCancelButtonHandler(cancelButtonClickHandler);
        helper.initSaveButtonHandler(saveButtonClickHandler);
    }
    
    /**
     * コンポーネントを初期化します。
     */
    private function initComponents():void {
        // コンポーネントを手動でDIします。
        helper = new KeyRegisterHelper();
        helper.initView(super.document);
    }
    
//--------------------------------------
//  Event Handler
//--------------------------------------

    /**
     * キャンセルボタンのクリックハンドラです。
     * 
     * @param event MouseEvent オブジェクトです。
     */
    private function cancelButtonClickHandler(event:MouseEvent):void {
	    logger.debug(">>cancelButtonClickHandler");
        
        var closeEvent:CloseEvent = new CloseEvent(CloseEvent.CLOSE);
        
        helper.closeView(new CloseEvent(CloseEvent.CLOSE));
    }
    
    /**
     * 保存ボタンのクリックハンドラです。
     * 
     * @param event MouseEvent オブジェクトです。
     */
    private function saveButtonClickHandler(event:MouseEvent):void {
	    logger.debug(">>saveButtonClickHandler");
	    
	    var closeEvent:CloseWithDataEvent = new CloseWithDataEvent(CloseWithDataEvent.CLOSE);
	    closeEvent.data = new Object();
	    closeEvent.data.accessKey = helper.view.accessKeyInput.text;
        closeEvent.data.secretAccessKey = helper.view.secretAccessKeyInput.text;
        
        helper.closeView(closeEvent);
    }
}
}