package jp.co.atmarkit.aws.s3.core {
import mx.events.CloseEvent;


/**
 * イベントハンドリング時にデータを受け渡せるようにしたCloseEventです。
 */
public class CloseWithDataEvent extends CloseEvent {
    
//--------------------------------------
//  Constants
//--------------------------------------

    /**
     * close の type プロパティ値を定義します。
     *
     *  @eventType close
     */
    public static const CLOSE:String = CloseEvent.CLOSE;
    
//--------------------------------------
//  Properties
//--------------------------------------

    /** データ。 */
    public var data:Object;
    
//--------------------------------------
//  Constructor
//--------------------------------------

    /**
     * 指定された値を持つ CloseWithDataEvent オブジェクトを作成します。
     * 
     * @param type イベントタイプです。
     * @param bubbles イベントが表示リスト階層を上方にバブルできるかどうかを指定します。
     * @param cancelable イベントに関連付けられた動作をキャンセルできるかどうかを指定します。
     * @param detail detail プロパティの値です。この値は、ポップアップしたコントロールの中でクリックされたボタンを識別します。
     */
    public function CloseWithDataEvent(type:String, bubbles:Boolean = false, cancelable:Boolean = false, detail:int = -1) {
        super(type, bubbles, cancelable, detail);
    }    
}
}