﻿package jp.co.atmarkit.aws.s3.core {
import mx.containers.TitleWindow;
import mx.core.ContainerLayout;
import mx.events.CloseEvent;
import mx.events.FlexEvent;
import mx.managers.PopUpManager;


/**
 * ポップアップする画面で使用するカスタムTitleWindowクラスです。
 * FlexEvent.CREATION_COMPLETEでcenterPopUpを行っています。
 */
public class PopupDialog extends TitleWindow {

//--------------------------------------
//  Constructor
//--------------------------------------
    
    /**
     * PopupDialog オブジェクトを作成します。
     */
    public function PopupDialog() {
        super();
        
        layout = ContainerLayout.VERTICAL;
        showCloseButton = true;
        
        addEventListener(FlexEvent.CREATION_COMPLETE, creationCompleteHandler);
        addEventListener(CloseEvent.CLOSE, closeButtonCloseHandler);
    }
    
//--------------------------------------
//  Initialization
//--------------------------------------

    /**
     * 初期化処理です。
     * 
     * @param event FlexEvent
     */
    protected function creationCompleteHandler(event:FlexEvent):void {
        if (isPopUp) {
            PopUpManager.centerPopUp(this);
        }
    }
    
//--------------------------------------
//  UI Event Handlers
//--------------------------------------

    /**
     * CloseButtonのクローズハンドラです。
     * 
     * @param event CloseEvent
     */
    protected function closeButtonCloseHandler(event:CloseEvent):void {
        if (isPopUp) {
            PopUpManager.removePopUp(this);
        }
    }
}
}