package jp.co.atmarkit.aws.s3.helper {
import flash.events.MouseEvent;

import jp.co.atmarkit.aws.s3.view.KeyRegisterView;

import mx.core.UIComponent;
import mx.events.CloseEvent;

import org.seasar.akabana.yui.mx.util.PopUpUtil;


/**
 * KeyRegisterHelperクラス。Viewの操作を行います。
 */
public class KeyRegisterHelper {

//--------------------------------------
//  Component
//--------------------------------------

    /** Viewコンポーネントです。 */
    public var view:KeyRegisterView;
    
//--------------------------------------
//  Constructor
//--------------------------------------

	/**
	 * KeyRegisterHelper オブジェクトを作成します。
	 */
    public function KeyRegisterHelper() {
        super();
    }
    
//--------------------------------------
//  Init
//--------------------------------------
    
    /**
     * Helperに対応するViewを初期化します。
     * 
     * @param Helperに対応するViewです。
     */
    public function initView(view:UIComponent):void {
        this.view = view as KeyRegisterView;
    }

//--------------------------------------
//  Event Handler Init
//--------------------------------------
    
    /**
     * キャンセルボタンのクリックハンドラを設定します。
     * 
     * @param handler イベントハンドラです。
     */
    public function initCancelButtonHandler(handler:Function):void {
        view.cancelButton.addEventListener(MouseEvent.CLICK, handler);
    }

    /**
     * 保存ボタンのクリックハンドラを設定します。
     * 
     * @param handler イベントハンドラです。
     */
    public function initSaveButtonHandler(handler:Function):void {
        view.saveButton.addEventListener(MouseEvent.CLICK, handler);
    }

//--------------------------------------
//  View Manipulation  
//--------------------------------------

    /**
     * 画面を閉じます。
     * 
     * @param event CloseEvent オブジェクトです。
     */
    public function closeView(event:CloseEvent):void {
        view.dispatchEvent(event);
        PopUpUtil.removePopUp(view);
    }
}
}